<IfModule mod_ssl.c>
<VirtualHost *:443>
	ServerAdmin Adrian.Pop@liu.se
	ServerName trac.modrio.org

	DocumentRoot /var/www/trac
	<Directory />
		Options FollowSymLinks
		AllowOverride All
	</Directory>
	<Directory /var/www/trac>
		Options Indexes FollowSymLinks MultiViews
		AllowOverride All
		Order allow,deny
		allow from none
	</Directory>

	ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/
	<Directory "/usr/lib/cgi-bin">
		AllowOverride None
		Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
		Order allow,deny
		Allow from all
	</Directory>

        <FilesMatch "\.(cgi|shtml|phtml|php)$">
                SSLOptions +StdEnvVars
        </FilesMatch>
        <Directory /usr/lib/cgi-bin>
                SSLOptions +StdEnvVars
        </Directory>

WSGIDaemonProcess modriotracsites python-home=/var/www/trac/.virtualenv-with-system

# ModRio
WSGIScriptAlias /MODRIO /var/www/trac/MODRIO/apache/trac.wsgi
<Directory /var/www/trac/MODRIO/apache>
  WSGIProcessGroup modriotracsites
  WSGIApplicationGroup %{GLOBAL}
  Order deny,allow
  Allow from all
</Directory>

# Holmes
WSGIScriptAlias /HOLMES \
                /var/www/trac/HOLMES/apache/trac.wsgi
<Directory /var/www/trac/HOLMES/apache>
  WSGIProcessGroup modriotracsites
  WSGIApplicationGroup %{GLOBAL}
  Order deny,allow
  Allow from all
</Directory>

SSLCertificateFile /etc/letsencrypt/live/modrio.org/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/modrio.org/privkey.pem
Include /etc/letsencrypt/options-ssl-apache.conf
</VirtualHost>
</IfModule>
